#####################################################################################################
#####################################################################################################
### DENSITY TRENDS
#####################################################################################################
# wd <- "C:/Users/RV Bangarang/" # Samsung
wd <-  "/Users/eric.keen/"  # Mac
#wd <- "D:/" # Samsung II
#####################################################################################################
#####################################################################################################
# Load globals
setwd(paste(wd,"Dropbox/Bangarang Docs/Humpback-shifts/randomization",sep=""))
eff <- read.csv("eff.csv",stringsAsFactors=FALSE,row.names=1,header=TRUE)
sit <- read.csv("sit.csv",stringsAsFactors=FALSE,row.names=1,header=TRUE)

# Load masters
setwd(paste(wd,"Dropbox/Bangarang Docs/Humpback-shifts/raw-datasets/effortprocessing",sep=""))
ggeff <- read.csv("BLOCKED-EFF-GGGW.csv",stringsAsFactors=FALSE,header=TRUE,row.names=1)
nceff <- read.csv("BLOCKED-EFF-NCCS.csv",stringsAsFactors=FALSE,header=TRUE,row.names=1)
ggsit <- read.csv("BLOCKED-SIT-GGGW.csv",stringsAsFactors=FALSE,header=TRUE,row.names=1)
ncsit <- read.csv("BLOCKED-SIT-NCCS.csv",stringsAsFactors=FALSE,header=TRUE,row.names=1)

# Load block area information
setwd(paste(wd,"Dropbox/Bangarang Docs/Humpback-shifts/raw-datasets/surveyblocks",sep=""))
ablock <- read.csv("tri-area.csv",stringsAsFactors=FALSE)
#####################################################################################################
#####################################################################################################
# Monthly Effort
#####################################################################################################
months <- row.names(eff)
mgeff <- apply(ggeff,1,sum)
mneff <- apply(nceff,1,sum)
#############################################
mogeff <- rep(NA,12)
ggsurmonths <- as.numeric(substr(names(mgeff),5,6))
for(i in 1:12){
  mogeff[i] <- sum(mgeff[which(ggsurmonths==i)],na.rm=TRUE)
}
#############################################
moneff <- rep(NA,12)
ncsurmonths <- as.numeric(substr(names(mneff),5,6))
for(i in 1:12){
  moneff[i] <- sum(mneff[which(ncsurmonths==i)],na.rm=TRUE)
}
#############################################
month <- c("J","F","M","A","M","J","J","A","S","O","N","D")
nccs <- moneff ; gggw <- mogeff
monthly.effort <- data.frame(month,gggw,nccs)
#############################################
setwd(paste(wd,"Dropbox/Bangarang Docs/Humpback-shifts/raw-datasets/ArchiveDensity",sep=""))
write.csv(monthly.effort,file="monthly-effort.csv",quote=FALSE,row.names=FALSE)

#####################################################################################################
#####################################################################################################
# Monthly Density
#####################################################################################################
# Using global dataset for monthly analysis
w <- 1.5 # strip width
dens <- sit/(2*w*eff)
dens <- dens[5:11,]
#############################################
# Calculate abundance
abu <- matrix(data=NA,nrow=nrow(dens),ncol=ncol(dens),dimnames=list(row.names(dens),names(dens)))
for(i in 1:nrow(dens)){
  for(j in 1:ncol(dens)){
    aj <- ablock$area[j]
    dij <- dens[i,j]*aj
    abu[i,j] <- dij
  }
}
#############################################
#############################################
setwd(paste(wd,"Dropbox/Bangarang Docs/Humpback-shifts/raw-datasets/ArchiveDensity",sep=""))
write.csv(dens,file="monthly-density.csv",quote=FALSE,row.names=TRUE)
write.csv(abu,file="monthly-abundance.csv",quote=FALSE,row.names=TRUE)

#####################################################################################################
#####################################################################################################
#####################################################################################################
#####################################################################################################
## ANNUAL TRENDS!!! 
#####################################################################################################
#####################################################################################################
# Total Study Area Trends
#####################################################################################################
# May to November
#####################################################################################################
tgeff <- ggeff
tgsit <- ggsit
tneff <- nceff
tnsit <- ncsit
# Restrict to July - September
# Gitga'at
ggmo <- as.numeric(substr(row.names(tgeff),5,6)) 
ggkeep <- which(ggmo > 4 & ggmo < 12)
tgeff <- tgeff[ggkeep,]
tgsit <- tgsit[ggkeep,]
# NCCS
ncmo <- as.numeric(substr(row.names(tneff),5,6)) 
nckeep <- which(ncmo > 4 & ncmo < 12)
tneff <- tneff[nckeep,]
tnsit <- tnsit[nckeep,]
#################################################
# Sum them
tgeff <- apply(tgeff,1,sum)
tgsit <- apply(tgsit,1,sum)
tneff <- apply(tneff,1,sum)
tnsit <- apply(tnsit,1,sum)
#################################################
# Sum by year
years <- as.character(2005:2014)
ygeff <- ygsit <- yneff <- ynsit <- rep(NA,times=length(years))
for(i in 1:length(years)){
  yr <- years[i]
  ygeff[i] <- sum(tgeff[which(substr(names(tgeff),1,4)==yr)],na.rm=TRUE)
  ygsit[i] <- sum(tgsit[which(substr(names(tgsit),1,4)==yr)],na.rm=TRUE)
  yneff[i] <- sum(tneff[which(substr(names(tneff),1,4)==yr)],na.rm=TRUE)
  ynsit[i] <- sum(tnsit[which(substr(names(tnsit),1,4)==yr)],na.rm=TRUE)
}
#################################################
# Calculate density
ygdens <- ygsit/ygeff
yndens <- ynsit/yneff
#################################################
yr <- as.numeric(c(years,years))
effort <- c(ygeff,yneff)
sits <- c(ygsit,ynsit)
density <- c(ygdens,yndens)
platform <- c(rep("gggw",times=length(years)),rep("nccs",times=length(years)))
color <- c(rep("firebrick",times=length(years)),rep("dark blue",times=length(years)))
pch <- c(rep(16,times=length(years)),rep(1,times=length(years)))
trend <- data.frame(yr,platform,effort,sits,density,color,pch)
#################################################
setwd(paste(wd,"Dropbox/Bangarang Docs/Humpback-shifts/raw-datasets/ArchiveDensity",sep=""))
write.csv(trend,file="trends-junnov-all.csv",quote=FALSE,row.names=FALSE)

#####################################################################################################
# July-September ONLY
#####################################################################################################
# Restrict to July - September
tgeff <- ggeff
tgsit <- ggsit
tneff <- nceff
tnsit <- ncsit
# Gitga'at
ggmo <- as.numeric(substr(row.names(tgeff),5,6)) 
ggkeep <- which(ggmo > 6 & ggmo < 10)
tgeff <- tgeff[ggkeep,]
tgsit <- tgsit[ggkeep,]
# NCCS
ncmo <- as.numeric(substr(row.names(tneff),5,6)) 
nckeep <- which(ncmo > 6 & ncmo < 10)
tneff <- tneff[nckeep,]
tnsit <- tnsit[nckeep,]
#################################################
# Sum them
tgeff <- apply(tgeff,1,sum)
tgsit <- apply(tgsit,1,sum)
tneff <- apply(tneff,1,sum)
tnsit <- apply(tnsit,1,sum)
#################################################
# Sum by year
years <- as.character(2005:2014)
ygeff <- ygsit <- yneff <- ynsit <- rep(NA,times=length(years))
for(i in 1:length(years)){
  yr <- years[i]
  ygeff[i] <- sum(tgeff[which(substr(names(tgeff),1,4)==yr)],na.rm=TRUE)
  ygsit[i] <- sum(tgsit[which(substr(names(tgsit),1,4)==yr)],na.rm=TRUE)
  yneff[i] <- sum(tneff[which(substr(names(tneff),1,4)==yr)],na.rm=TRUE)
  ynsit[i] <- sum(tnsit[which(substr(names(tnsit),1,4)==yr)],na.rm=TRUE)
}
#################################################
# Calculate density
ygdens <- ygsit/ygeff
yndens <- ynsit/yneff
#################################################
yr <- as.numeric(c(years,years))
effort <- c(ygeff,yneff)
sits <- c(ygsit,ynsit)
density <- c(ygdens,yndens)
platform <- c(rep("gggw",times=length(years)),rep("nccs",times=length(years)))
color <- c(rep("firebrick",times=length(years)),rep("dark blue",times=length(years)))
pch <- c(rep(16,times=length(years)),rep(1,times=length(years)))
trend <- data.frame(yr,platform,effort,sits,density,color,pch)
#################################################
setwd(paste(wd,"Dropbox/Bangarang Docs/Humpback-shifts/raw-datasets/ArchiveDensity",sep=""))
write.csv(trend,file="trends-julsep-all.csv",quote=FALSE,row.names=FALSE)

#####################################################################################################
#####################################################################################################
# Restrict to Gil Basin
tgeff <- ggeff
tgsit <- ggsit
tneff <- nceff
tnsit <- ncsit
# Gitga'at
ggmo <- as.numeric(substr(row.names(tgeff),5,6)) 
ggkeep <- which(ggmo > 6 & ggmo < 10)
tgeff <- tgeff[ggkeep,]
tgsit <- tgsit[ggkeep,]
# NCCS
ncmo <- as.numeric(substr(row.names(tneff),5,6)) 
nckeep <- which(ncmo > 6 & ncmo < 10)
tneff <- tneff[nckeep,]
tnsit <- tnsit[nckeep,]
#################################################
gilbasin <- 9:19 # as.character(ablock$block[9:19])
tgeff <- tgeff[,gilbasin]
tgsit <- tgsit[,gilbasin]
tneff <- tneff[,gilbasin]
tnsit <- tnsit[,gilbasin]
#################################################
# Sum them
tgeff <- apply(tgeff,1,sum)
tgsit <- apply(tgsit,1,sum)
tneff <- apply(tneff,1,sum)
tnsit <- apply(tnsit,1,sum)
#################################################
# Sum by year
years <- as.character(2005:2014)
ygeff <- ygsit <- yneff <- ynsit <- rep(NA,times=length(years))
for(i in 1:length(years)){
  yr <- years[i]
  ygeff[i] <- sum(tgeff[which(substr(names(tgeff),1,4)==yr)],na.rm=TRUE)
  ygsit[i] <- sum(tgsit[which(substr(names(tgsit),1,4)==yr)],na.rm=TRUE)
  yneff[i] <- sum(tneff[which(substr(names(tneff),1,4)==yr)],na.rm=TRUE)
  ynsit[i] <- sum(tnsit[which(substr(names(tnsit),1,4)==yr)],na.rm=TRUE)
}
#################################################
# Calculate density
ygdens <- ygsit/ygeff
yndens <- ynsit/yneff
#################################################
yr <- as.numeric(c(years,years))
effort <- c(ygeff,yneff)
sits <- c(ygsit,ynsit)
density <- c(ygdens,yndens)
platform <- c(rep("gggw",times=length(years)),rep("nccs",times=length(years)))
color <- c(rep("firebrick",times=length(years)),rep("dark blue",times=length(years)))
pch <- c(rep(16,times=length(years)),rep(1,times=length(years)))
trend <- data.frame(yr,platform,effort,sits,density,color,pch)
#################################################
setwd(paste(wd,"Dropbox/Bangarang Docs/Humpback-shifts/raw-datasets/ArchiveDensity",sep=""))
write.csv(trend,file="trends-julsep-gil.csv",quote=FALSE,row.names=FALSE)


#####################################################################################################
#####################################################################################################
#####################################################################################################








