#####################################################################################################
#####################################################################################################
### DENSITY TRENDS
#####################################################################################################
# wd <- "C:/Users/RV Bangarang/" # Samsung
wd <-  "/Users/eric.keen/"  # Mac
#wd <- "D:/" # Samsung II
#####################################################################################################
#####################################################################################################
# Load globals
setwd(paste(wd,"Dropbox/Bangarang Docs/Humpback-shifts/randomization",sep=""))
eff <- read.csv("eff.csv",stringsAsFactors=FALSE,row.names=1,header=TRUE)
sit <- read.csv("sit.csv",stringsAsFactors=FALSE,row.names=1,header=TRUE)

# Load masters
setwd(paste(wd,"Dropbox/Bangarang Docs/Humpback-shifts/raw-datasets/effortprocessing",sep=""))
ggeff <- read.csv("BLOCKED-EFF-GGGW.csv",stringsAsFactors=FALSE,header=TRUE,row.names=1)
nceff <- read.csv("BLOCKED-EFF-NCCS.csv",stringsAsFactors=FALSE,header=TRUE,row.names=1)
ggsit <- read.csv("BLOCKED-SIT-GGGW.csv",stringsAsFactors=FALSE,header=TRUE,row.names=1)
ncsit <- read.csv("BLOCKED-SIT-NCCS.csv",stringsAsFactors=FALSE,header=TRUE,row.names=1)

# Load block area information
setwd(paste(wd,"Dropbox/Bangarang Docs/Humpback-shifts/raw-datasets/surveyblocks",sep=""))
ablock <- read.csv("tri-area.csv",stringsAsFactors=FALSE)
#####################################################################################################
#####################################################################################################
# Monthly Effort
#####################################################################################################
months <- row.names(eff)
#####################################################################################################
#####################################################################################################
# Gitgaat EFFORT
mgeff <- apply(ggeff,1,sum)
names(mgeff)
years <- substr(names(mgeff),1,4)
gmonths <- substr(names(mgeff),5,6)
uyears <- unique(years)
GGEFF <- matrix(NA,nrow=length(uyears),ncol=12,dimnames=list(uyears,months))
for(i in 1:length(uyears)){
  for(j in 1:12){
    subg <- mgeff[years==uyears[i] & as.numeric(gmonths)==j]
    if(length(subg)>0){GGEFF[i,j] <- sum(subg,na.rm=TRUE)}
  }
}

#####################################################################################################
#####################################################################################################
# Gitgaat SIGHTINGS
#####################################################################################################
mgsit <- apply(ggsit,1,sum)
years <- substr(names(mgsit),1,4)
gmonths <- substr(names(mgsit),5,6)
uyears <- unique(years)
GGSIT <- matrix(0,nrow=length(uyears),ncol=12,dimnames=list(uyears,months))
for(i in 1:length(uyears)){
  for(j in 1:12){
    subg <- mgsit[years==uyears[i] & as.numeric(gmonths)==j]
    if(length(subg)>0){GGSIT[i,j] <- sum(subg,na.rm=TRUE)}
  }
}

#####################################################################################################
#####################################################################################################
# NCCS EFFORT
mneff <- apply(nceff,1,sum)
names(mneff)
years <- substr(names(mneff),1,4)
nmonths <- substr(names(mneff),5,6)
uyears <- unique(years)
NCEFF <- matrix(NA,nrow=length(uyears),ncol=12,dimnames=list(uyears,months))
for(i in 1:length(uyears)){
  for(j in 1:12){
    subg <- mneff[years==uyears[i] & as.numeric(nmonths)==j]
    if(length(subg)>0){NCEFF[i,j] <- sum(subg,na.rm=TRUE)}
  }
}

#####################################################################################################
#####################################################################################################
# NCCS SIGHTINGS
#####################################################################################################
mnsit <- apply(ncsit,1,sum)
years <- substr(names(mnsit),1,4)
nmonths <- substr(names(mnsit),5,6)
uyears <- unique(years)
NCSIT <- matrix(0,nrow=length(uyears),ncol=12,dimnames=list(uyears,months))
for(i in 1:length(uyears)){
  for(j in 1:12){
    subg <- mnsit[years==uyears[i] & as.numeric(nmonths)==j]
    if(length(subg)>0){NCSIT[i,j] <- sum(subg,na.rm=TRUE)}
  }
}

#####################################################################################################
#####################################################################################################
setwd(paste(wd,"Dropbox/Bangarang Docs/Humpback-shifts/raw-datasets/ArchiveDensity",sep=""))
write.csv(GGEFF,file="GGEFF.csv",quote=FALSE,row.names=FALSE)
write.csv(GGSIT,file="GGSIT.csv",quote=FALSE,row.names=FALSE)
write.csv(NCEFF,file="NCEFF.csv",quote=FALSE,row.names=FALSE)
write.csv(NCSIT,file="NCSIT.csv",quote=FALSE,row.names=FALSE)