#### Julian Functions

## Function "JUL.POOL"
## Splits datasets into chunks of julian days,
## Returns them along with a combined dataset (so returns a list of 4 objects: GG, NC, BG, Combined)
## also contains Julian split function
## pool.funk = function used to pool data - either "mean" or "sum"
julian.split <- function(gg,n,platform,pool.funk){
  gg$X <- NULL
  breaks <- floor(seq(0,365,length=n+1))
  platform <- rep(platform,times=n)
  blockmeandf <- data.frame()
  for(i in 2:length(breaks)){
    ggsub <- subset(gg,gg$julian > breaks[i-1] & gg$julian < breaks[i])
    ggsub$julian <- NULL
    blockmeans <- rep(NA,times=54)
    if(nrow(ggsub)!=0){
      for(j in 1:54){
        if(pool.funk=="mean"){blockmeans[j] <- mean(as.numeric(ggsub[,j]),na.rm=TRUE)}
        if(pool.funk=="sum"){blockmeans[j] <- sum(as.numeric(ggsub[,j]),na.rm=TRUE)}
      }    
    }
    blockmeandf <- rbind(blockmeandf,blockmeans)
  }
  final <- blockmeandf
  return(final)
}

##################################################
##################################################

jul.pool <- function(gg,nc,bg,n,pool.funk="mean"){
  
  ggief.mn <- julian.split(gg,n=n,platform="GGGW",pool.funk=pool.funk)
  ncief.mn <- julian.split(nc,n=n,platform="NCCS",pool.funk=pool.funk)
  bgief.mn <- julian.split(bg,n=n,platform="BANG",pool.funk=pool.funk)
  
  combdf <- rbind(gg,nc,bg)
  
  combief.mn <- julian.split(combdf,n=n,platform="COMB",pool.funk=pool.funk)
  
  #combief.mn <- matrix(NA,nrow=nrow(ggief.mn),ncol=54)
  #for(i in 1:nrow(ggief.mn)){
  #  for(j in 1:54){
  #    if(pool.funk=="mean"){combief.mn[i,j] = mean(c(ggief.mn[i,j],ncief.mn[i,j],bgief.mn[i,j]),na.rm=TRUE)}
  #    if(pool.funk=="sum"){combief.mn[i,j] = sum(c(ggief.mn[i,j],ncief.mn[i,j],bgief.mn[i,j]),na.rm=TRUE)}      
  #  }
  #}
  
  return(list(ggief.mn,
              ncief.mn,
              bgief.mn,
              combief.mn))
}