## Randomization coloring function

#####################################################################################################
## Coloring function  # Data is 1 row long
rando.colfun <- function(data,maxdata,mindata=0,colvec){
  data <- as.numeric(data)
  
  blockorder <- c(1,  2,  6,  4,  5,  3,  8,  9, 10,
                  7, 16, 11, 12, 13, 14, 15, 17, 18,
                  19, 22, 23, 20, 24, 21, 25, 28, 31,
                  26, 29, 27, 30, 32, 33, 34, 39, 42, 48, 43, 
                  40, 36, 44, 45, 50, 51, 52, 41, 37, 38, 35, 47, 53, 54, 49, 46)
  
  jet.colors <-colorRampPalette(colvec)
  cols <- jet.colors(100)
  colbins <- seq(mindata,maxdata,length=100)
  #
  colreturn <- rep("gray",times=length(data))
  for(i in 1:length(blockorder)){
    blocknum <- blockorder[i]
    datacol <- data[blocknum]
    if(is.na(datacol)==FALSE){
      matchi <- which.min(abs(colbins - datacol))
      colreturn[i] <- cols[matchi]
    }
  }
  return(colreturn)
}

